#ifndef _FS_FILE_C_H_
#define _FS_FILE_C_H_

#ifdef __cplusplus
extern "C" {
#endif


typedef struct _FSAsyncReaderCallback {
  void* user_data;
  FSReaderCallback *readercallback;
  FS_BOOL (*IsDataAvail)(void* user_data, FS_INT64 offset, size_t size);
  FS_BOOL (*AddDownloadHint)(void* user_data, FS_INT64 offset, size_t size);
}FSAsyncReaderCallback;

#ifdef __cplusplus
}
#endif
#endif
