#ifndef _FS_PDFCOMPLIANCE_C_H_
#define _FS_PDFCOMPLIANCE_C_H_

#ifdef __cplusplus
extern "C" {
#endif


FSErrorCode FSDK_PDFCompliance_Create(FS_PDFCOMPLIANCE_HANDLE* pdfcompliance_return_value);
FSErrorCode FSDK_PDFCompliance_Release(FS_PDFCOMPLIANCE_HANDLE pdfcompliance_handle);
FSErrorCode FSDK_PDFCompliance_IsEmpty(FS_PDFCOMPLIANCE_HANDLE pdfcompliance_handle, FS_BOOL* return_value);
FSErrorCode FSDK_PDFCompliance_Verify(FS_PDFCOMPLIANCE_HANDLE pdfcompliance_handle, int verify_version, const wchar_t* src_pdf_path,int first_page_index, int last_page_index,
                                  FSProgressCallback* progress_callback, FS_RESULTINFORMATION_HANDLE* return_value);
FSErrorCode FSDK_PDFCompliance_ConvertPDFFile(FS_PDFCOMPLIANCE_HANDLE pdfcompliance_handle, const wchar_t* src_pdf_path, const wchar_t* saved_pdf_path,
                                   int convert_to_version, FSProgressCallback* progress_callback, FS_RESULTINFORMATION_HANDLE* return_value);
#ifdef __cplusplus
}
#endif
#endif
